Package com.independentsoft.office.word

# Class Shading

java.lang.Object
com.independentsoft.office.word.Shading

public class Shading extends Object
The Class Shading.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Shading()`
  Instantiates a new shading.
  `Shading​(InternalXMLStreamReader reader)`
  Instantiates a new shading.
  `Shading​(ShadingPattern pattern)`
  Instantiates a new shading.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Shading`
  `clone()`
  `Color`
  `getBackgroundColor()`
  Gets the background color.
  `ThemeColor`
  `getBackgroundThemeColor()`
  Gets the background theme color.
  `int`
  `getBackgroundThemeColorShade()`
  Gets the background theme color shade.
  `int`
  `getBackgroundThemeColorTint()`
  Gets the background theme color tint.
  `ShadingPattern`
  `getPattern()`
  Gets the pattern.
  `Color`
  `getPatternColor()`
  Gets the pattern color.
  `ThemeColor`
  `getThemeColor()`
  Gets the theme color.
  `int`
  `getThemeColorShade()`
  Gets the theme color shade.
  `int`
  `getThemeColorTint()`
  Gets the theme color tint.
  `void`
  `setBackgroundColor​(Color backgroundColor)`
  Sets the background color.
  `void`
  `setBackgroundThemeColor​(ThemeColor backgroundThemeColor)`
  Sets the background theme color.
  `void`
  `setBackgroundThemeColorShade​(int backgroundThemeColorShade)`
  Sets the background theme color shade.
  `void`
  `setBackgroundThemeColorTint​(int backgroundThemeColorTint)`
  Sets the background theme color tint.
  `void`
  `setPattern​(ShadingPattern pattern)`
  Sets the pattern.
  `void`
  `setPatternColor​(Color patternColor)`
  Sets the pattern color.
  `void`
  `setThemeColor​(ThemeColor themeColor)`
  Sets the theme color.
  `void`
  `setThemeColorShade​(int themeColorShade)`
  Sets the theme color shade.
  `void`
  `setThemeColorTint​(int themeColorTint)`
  Sets the theme color tint.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Shading

    public Shading()
    Instantiates a new shading.

  - ### Shading

    public Shading​(ShadingPattern pattern)
    Instantiates a new shading.
    Parameters:
      `pattern` - the pattern

  - ### Shading

    public Shading​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new shading.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public Shading clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getPatternColor

    public Color getPatternColor()
    Gets the pattern color.
    Returns:
      the pattern color

  - ### setPatternColor

    public void setPatternColor​(Color patternColor)
    Sets the pattern color.
    Parameters:
      `patternColor` - the new pattern color

  - ### getBackgroundColor

    public Color getBackgroundColor()
    Gets the background color.
    Returns:
      the background color

  - ### setBackgroundColor

    public void setBackgroundColor​(Color backgroundColor)
    Sets the background color.
    Parameters:
      `backgroundColor` - the new background color

  - ### getThemeColor

    public ThemeColor getThemeColor()
    Gets the theme color.
    Returns:
      the theme color

  - ### setThemeColor

    public void setThemeColor​(ThemeColor themeColor)
    Sets the theme color.
    Parameters:
      `themeColor` - the new theme color

  - ### getBackgroundThemeColor

    public ThemeColor getBackgroundThemeColor()
    Gets the background theme color.
    Returns:
      the background theme color

  - ### setBackgroundThemeColor

    public void setBackgroundThemeColor​(ThemeColor backgroundThemeColor)
    Sets the background theme color.
    Parameters:
      `backgroundThemeColor` - the new background theme color

  - ### getBackgroundThemeColorShade

    public int getBackgroundThemeColorShade()
    Gets the background theme color shade.
    Returns:
      the background theme color shade

  - ### setBackgroundThemeColorShade

    public void setBackgroundThemeColorShade​(int backgroundThemeColorShade)
    Sets the background theme color shade.
    Parameters:
      `backgroundThemeColorShade` - the new background theme color shade

  - ### getBackgroundThemeColorTint

    public int getBackgroundThemeColorTint()
    Gets the background theme color tint.
    Returns:
      the background theme color tint

  - ### setBackgroundThemeColorTint

    public void setBackgroundThemeColorTint​(int backgroundThemeColorTint)
    Sets the background theme color tint.
    Parameters:
      `backgroundThemeColorTint` - the new background theme color tint

  - ### getThemeColorShade

    public int getThemeColorShade()
    Gets the theme color shade.
    Returns:
      the theme color shade

  - ### setThemeColorShade

    public void setThemeColorShade​(int themeColorShade)
    Sets the theme color shade.
    Parameters:
      `themeColorShade` - the new theme color shade

  - ### getThemeColorTint

    public int getThemeColorTint()
    Gets the theme color tint.
    Returns:
      the theme color tint

  - ### setThemeColorTint

    public void setThemeColorTint​(int themeColorTint)
    Sets the theme color tint.
    Parameters:
      `themeColorTint` - the new theme color tint

  - ### getPattern

    public ShadingPattern getPattern()
    Gets the pattern.
    Returns:
      the pattern

  - ### setPattern

    public void setPattern​(ShadingPattern pattern)
    Sets the pattern.
    Parameters:
      `pattern` - the new pattern